cURL
curl --request POST \ --url https://api.hixbe.com/rpki/validity \ --header 'Content-Type: application/json' \ --data ' { "routes": [ { "asn": "AS64496", "prefix": "192.0.2.0/24" }, { "asn": "AS64497", "prefix": "2001:db8::/32" } ] } '
{ "validated_routes": [ { "route": { "origin_asn": "AS64496", "prefix": "192.0.2.0/24" }, "validity": { "state": "valid", "reason": "<string>", "description": "<string>" }, "vrps": { "matched": [ { "asn": "AS64496", "prefix": "192.0.2.0/24", "max_length": 24 } ], "unmatched_as": [ { "asn": "AS64496", "prefix": "192.0.2.0/24", "max_length": 24 } ], "unmatched_length": [ { "asn": "AS64496", "prefix": "192.0.2.0/24", "max_length": 24 } ] } } ] }
Returns a JSON object describing the validity of multiple routes. Expects a JSON body with an array of route announcements. The request body size is limited to 100 kB.
Array of routes to validate
Array of routes to validate (limited by 100 kB body size)
1000
Show child attributes
Successful response with validation results
Was this page helpful?